﻿@using Portal.Models.LPOPConfirmation;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;

@* wot.dwi 08/11/2012  *@ 

@model Toyota.Common.Web.MVC.ModelHolder
                       
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>
@*<link href="@Url.Content("~/Content/Style/LPOPConsolidation.css")" rel="Stylesheet" type="text/css"/>*@

@section Style{
    .ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; }
    .iu-widget-header { background-color: #94B6E8; color: #94B6E8; }
    .ui-widget-header {
        background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png") repeat-x scroll 50% 50% #94B6E8;
        background-color: #DDECFF;
        border: 1px solid #94B6E8;
        color: #94B6E8;
        font-weight: bold;
    }
    div.ui-datepicker {width: 17em; padding: .2em .2em 0;}
    div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color: #DDECFF; color: #DDECFF; font-weight: bold;}
    table.mtz-monthpicker {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
    td.ui-state-default.mtz-monthpicker-month {border: 1px solid #fff;}
    td.ui-state-default.mtz-monthpicker-month {text-align: center; cursor: pointer; padding: 5px;}
    td.ui-state-default.mtz-monthpicker-month:hover, td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color: #DDECFF; color: #fff; cursor: pointer;}
    td.ui-state-default.mtz-monthpicker-month:hover {background-color: #fff; color: #000;}
    select.mtz-monthpicker-year {margin-top: 7px;}
}


@section Script{
    /*Month Picker*/
    $(document).ready(function() {
        $('#TxtPMConfirmation').monthpicker({
            startYear: new Date().getFullYear() - 5,
            finalYear: new Date().getFullYear() + 1,
            pattern: 'mmm yyyy',
                monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#TxtPMConfirmation').bind('onchange',function(e){
            alert("input change");
        });
 
        $('#TxtPMConsolidation').monthpicker({
            startYear: new Date().getFullYear() - 5,
            finalYear: new Date().getFullYear() + 1,
            pattern: 'mmm yyyy',
                monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#TxtPMConsolidation').bind('onchange',function(e){
            alert("input change");
        });  
    });
}

@section StartupScript{
    TxtPMConfirmation.value = '';
    CmbTimingConfirmation.SetValue();
    GridLPOP_TabConfirmation.PerformCallback();
}


<script type="text/javascript">
    var timing = "";
    var productionMonth = "";
    var sourceData = "";
    var dt = "";
    var vers = "";
    var d_id = "";
    var pack_month = "";
    var action = "";
    var tab_id = "";

    function GetProductionMonth(productionMonth) {
        var paramStr = String(productionMonth).replace('-', '');
        var paramStrLength = String(paramStr).length;

        var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
        var month = String(paramStr).substring(0, paramStrLength - 4);
        var monthEnum = {
            January: '01',
            February: '02',
            March: '03',
            April: '04',
            May: '05',
            June: '06',
            July: '07',
            August: '08',
            September: '09',
            October: '10',
            November: '11',
            December: '12'
        };
        var monthNum = "";
        if (Boolean(month))
            monthNum = monthEnum[month];

        return year + monthNum;
    }

    function GetRegularProductionMonth(productionMonth) {
        var year = String(productionMonth).substring(0, 4);
        var month = String(productionMonth).substring(String(productionMonth).length, String(productionMonth).length - 2);
        var monthEnum = {
            '01': 'January',
            '02': 'February',
            '03': 'March',
            '04': 'April',
            '05': 'May',
            '06': 'June',
            '07': 'July',
            '08': 'August',
            '09': 'September',
            '10': 'October',
            '11': 'November',
            '12': 'December'
        };

        return monthEnum[month] + " " + year;
    }

    function pad(n) {
        return (n < 10) && (n >= 0) ? ("0" + n) : n;
    }


    // Changed By   : fid.salman
    // Changed Date : 29.08.2013
    // Description  : Prevent multiple callback from ASPxClientGridView with disabling trigger control.
    function OnHeaderTabLPOPConfirmationButtonEnabled(isEnabled) {
        BtnSearch.SetEnabled(isEnabled);
        BtnClear.SetEnabled(isEnabled);
        CLCreate_PO.SetEnabled(isEnabled);
    }

    function OnInitGridConfirmation(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(true);
    }

    function OnBeginCallbackGridConfirmation(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(false);

        if (action == "RowClick") {
            e.customArgs["ProductionMonth"] = productionMonth;
            e.customArgs["Timing"] = timing;

            action = "";
        }
        e.customArgs["PMConfirmation"] = document.getElementById('TxtPMConfirmation').value;
        e.customArgs["TimingConsolidation"] = CmbTimingConfirmation.GetValue();
    }

    function OnRowClickGridConfirmation(s, e) {
        var parameterValues = GridLPOP_TabConfirmation.GetRowKey(e.visibleIndex).toString().split('|');

        productionMonth = parameterValues[0];
        timing = parameterValues[1];

        action = "RowClick";
    }

    function OnClickSearchConfirmation(s, e) {
        
        var months = document.getElementById('TxtPMConfirmation').value;
        if(months == '')
        {
            alert('Please choose Production Month first');
            return;
        } 
        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
        GridLPOP_TabConfirmation.PerformCallback();
    }

    function OnClickClearConfirmation(s, e) {
        TxtPMConfirmation.value = '';
        CmbTimingConfirmation.SetValue();

        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
        GridLPOP_TabConfirmation.PerformCallback()
    }

//    function ShowPopupLPOPConfirmationDetail(s, e) {
//    console.log(s);
//        PopupConfirmationDetail.Show();
//    }

    function ShowPopupLPOPConfirmationDetail(s, e) {
        PopupLPOPConfirmationDetail.Show();
    }

    function OnXLSClickGridConfirmation(s, e) {
        var tempName = s.name.substring(28);

        productionMonth = $('#GridLPOP_TabConfirmation').find('#id_' + tempName).filter(':first');
        timing = $('#GridLPOP_TabConfirmation').find('#type_' + tempName).filter(':first');
        tab_id = "confirmation";

        $("#lblProdMonth").text(productionMonth.text());
        $("#lblDataSource").text("FCST");
        $("#lblTiming").text(timing.text());

        popupDownload.Show();
    }

    function OnXLSClickGridConfirmationPO(s, e) {
        var tempName = s.name.substring(30);

        console.log(tempName);

        productionMonth = $('#GridLPOP_TabConfirmation').find('#id_' + tempName).filter(':first');
        timing = $('#GridLPOP_TabConfirmation').find('#type_' + tempName).filter(':first');
        tab_id = "confirmationPO";

        $("#lblProdMonth").text(productionMonth.text());
        $("#lblDataSource").text("SPRN");
        $("#lblTiming").text(timing.text());

        popupDownload.Show();
    }



    function OnGridPopupLPOPConfirmationDetailBeginCallback(s, e) {
        e.customArgs["ProductionMonth"] = productionMonth;
        e.customArgs["timing"] = timing;
    }

    /* POPUP */

    function OnShowPopupConfirmationDetail(s, e) {

        console.log(s);
        PopupLPOPConfirmationDetail.SetHeaderText("Production Month : " + productionMonth);
        PopupLPOPConfirmationDetail.PerformCallback();
    }

    function OnShowPopupAbnormality(s, e) {
        PopupLPOPConfirmationAbnormality.SetHeaderText("Production Month: " + productionMonth);
        PopupLPOPConfirmationAbnormality.PerformCallback();
    }

    function ShowPopupLPOPConfirmationAbnormality(s, e) {
        PopupLPOPConfirmationAbnormality.Show();
    }

    // ====================== Upload LPOP Confirmation function ======================
    function OnUplLPOPConfirmationFileUploadComplete(s, e) {
        if (e.isValid) {
            filePath = e.callbackData;

            $("#HTLCUPMessageLabel").text("Upload in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.ajax({
                type: "POST",
                url: "@Url.Content("~/LPOPConfirmation/HeaderTabLPOPConfirmation_Upload")",
                dataType: "json",
                data: {
                    productionMonth: productionMonth,
                    version: vers,
                    filePath: filePath
                },
                success: function (result) {
                    var parameterValues = result.Status.split(';');
                    if (parameterValues[0] == "true") {
                        popupLPOPConfirmationUploadProgress.Hide();
                        OnUplLPOPConfirmationFileUploadValid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
                    }
                    else if (parameterValues[0] == "false") {
                        popupLPOPConfirmationUploadProgress.Hide();
                        OnUplLPOPConfirmationFileUploadInvalid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
                    }
                },
                error: function (result) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert("Error On UplLPOPConfirmation File Upload Complete.");
                }
            });
        }
    }

    function OnUplLPOPConfirmationFileUploadValid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/LPOPConfirmation/UploadValid")",
            dataType: "json",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableValidate: temporaryTableValidate
            },
            success: function (result) {
                GridLPOP_TabConfirmation.PerformCallback();

                // clear temporary upload data
                OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
            },
            error: function (result) {
                alert("Error On UplLPOPConfirmation File Upload Valid.");
            }
        });
    }

    function OnUplLPOPConfirmationFileUploadInvalid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $("#HTLCUPMessageLabel").text("Upload invalid, \nPlease wait...");

        $.fileDownload("LPOPConfirmation/DownloadInvalid/", {
            dataType: "text",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableUpload: temporaryTableUpload
            },
            successCallback: function (url) {
                // clear temporary upload data
                OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
                popupLPOPConfirmationUploadProgress.Hide();
            },
            failCallback: function (responseHtml, url) {
                popupLPOPConfirmationUploadProgress.Hide();
                alert("Error On UplLPOPConfirmation File Upload Invalid.");
            }
        });
    }

    function OnUplLPOPConfirmationFileUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/LPOPConfirmation/ClearAllFeedbackPartUpload")",
            data: {
                processId: processId,
                functionId: functionId,
                temporaryTableUpload: temporaryTableUpload,
                temporaryTableValidate: temporaryTableValidate
            },
            success: function (result) {

            },
            error: function (result) {
                alert("Error On UplLPOPConfirmation File Upload Cleared.");
            }
        });
    }



    function OnClickCreatePO() {
        var GridId = "";
        var StrApprove = "";
        var RejectedTiming = 0;
        var timingNow;
        var StrPO = "";

        var today = new Date();
        productionMonth = today.getFullYear() + pad(today.getMonth() + 1);

        for (var index = GridLPOP_TabConfirmation.GetTopVisibleIndex() ; index < ((GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize) + GridLPOP_TabConfirmation.GetVisibleRowsOnPage()) ; index++) {
            if (GridLPOP_TabConfirmation.IsRowSelectedOnPage(index)) {
                GridId += GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + "_" +
                GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] + ";";

                if (GridLPOP_TabConfirmation.cpTiming[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)] == 'Tentative')
                    RejectedTiming = RejectedTiming + 1;

                if (StrApprove == null || StrApprove == "")
                    StrApprove = GridLPOP_TabConfirmation.cpApprove[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];
                if (StrPO == null || StrPO == "")
                    StrPO = GridLPOP_TabConfirmation.cpCreatePO[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)]; 
                timingNow = GridLPOP_TabConfirmation.cpProductionMonth[index - (GridLPOP_TabConfirmation.GetPageIndex() * GridLPOP_TabConfirmation.cpPageSize)];

            }
        }

        if (GridId.length > 0)
            GridId = GridId.substring(0, GridId.length - 1);

        if (GridId == "") {
            alert("No Data Selected !!!");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (StrApprove == null) {
            alert("Data not yet Approved");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (RejectedTiming > 0) {
            alert("All Data should be in firm condition!!!");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else if (StrPO != null) {
            alert("PO already created");
            popupLPOPConfirmationUploadProgress.Hide();
        }
        else {
        
            if (confirm('Do you want to Create PO ?')) {
                $("#HTLCUPMessageLabel").text("Create PO is in progress, \nPlease wait...");
                popupLPOPConfirmationUploadProgress.Show();

                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/LPOPConfirmation/CreatePO")",
                    data: {
                        GridId: GridId
                    },
                    success: function (result) {
                        $("#HTLCUPMessageLabel").text(result);
                        popupLPOPConfirmationUploadProgress.Hide();
                        popupResult.Show();
                        $("#PopupResultMessageLabel").text(result);
                        GridLPOP_TabConfirmation.PerformCallback();
                    },
                    error: function (result) {
                        $("#HTLCUPMessageLabel").text("Error when Create PO");
                        popupLPOPConfirmationUploadProgress.Hide();

                        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
                    }
                });
            }
        }

        GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
    }

    function OnBtnUploadClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Show();
    }

    function OnHTLCFUCOkButtonClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Hide();
        UplLPOPConfirmation.UploadFile();
    }

    function OnPopupLPOPConfirmationUploadConfirmationShown(s, e) {
        //        $("#FDUCProductionMonthLabel").text(productionMonth);
        //        $("#FDUCSupplierLabel").text(supplierCode);
        //        $("#FDUCVersionLabel").text(version);
    }

    function OnHTLCFUCCancelButtonClick(s, e) {
        popupLPOPConfirmationUploadConfirmation.Hide();
    }
    // ==========================================================================

    function OnTabChanged(s, e) {
            GridLPOP_TabConfirmation.UnselectAllRowsOnPage();
            GridLPOP_TabConfirmation.PerformCallback();        
    }

    function DownloadXLS() {
        productionMonth = $("#lblProdMonth").text();
        sourceData = $("#lblDataSource").text();
        timing = $("#lblTiming").text();

        popupDownload.Hide();

        if (tab_id == "confirmation") {
            $("#HTLCUPMessageLabel").text("Download in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.fileDownload("LPOPConfirmation/GridConfirmationDownloadXLS/", {
                data: {
                    ProductionMonth: productionMonth,
                    Timing: timing
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });
        }
        else {
            $("#HTLCUPMessageLabel").text("Download in progress, \nPlease wait...");
            popupLPOPConfirmationUploadProgress.Show();

            $.fileDownload("LPOPConfirmation/GridConfirmationDownloadPOXLS/", {
                data: {
                    ProductionMonth: productionMonth
                },
                successCallback: function (url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                },
                failCallback: function (responseHtml, url) {
                    popupLPOPConfirmationUploadProgress.Hide();
                    alert(responseHtml);
                }
            });

            popupLPOPConfirmationUploadProgress.Hide();
        }
    }

    var linkNameObj = '';
    var linkStatusObj = '';


    function GridLPOP_TabConfirmation_EndCallback(s, e) {
        OnHeaderTabLPOPConfirmationButtonEnabled(true);
        var o = document.getElementById(linkNameObj); 
        if (o!=null && o) {
            o.style.display = (linkStatusObj == '') ? "block": "none";
        }
    }

    function validateUpdate() {
        var result = false;

        if ((dt_FeedbackDueDate.GetText() != "") && (dt_LastRemindingDate.GetText() != ""))
            result = true;

        return result;
    }

    function btnUpdate_Click(s, e) {
        if (validateUpdate()) {
            //---=== Ajax store
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/LPOPConfirmation/UpdateDataGrid")",
                data: {
                    feedbackDueDate: dt_FeedbackDueDate.GetText(),
                    lastRemindingDate: dt_LastRemindingDate.GetText(),
                    prodMonth: txt_id.GetText(),
                    timing: txt_LPOPtype.GetText()
                },
                success: function (result) {
                    if (result == 'Success') {
                        GridLPOP_TabConfirmation.PerformCallback();
                        GridLPOP_TabConfirmation.CancelEdit();
                    } else {
                        alert(result);
                    }
                },
                error: function (result) {
                    alert(result);
                    GridLPOP_TabConfirmation.PerformCallback();
                    GridLPOP_TabConfirmation.CancelEdit();
                }
            });
            linkStatusObj = '';
            //---=== End ajax store
        }
    }

</script>

@Html.DevExpress().PageControl(
    settings => {
        settings.Name = "LPOPConfirmationTab";
        settings.Width = Unit.Percentage(100);
        settings.ClientSideEvents.ActiveTabChanged = "OnTabChanged";
        settings.TabPages.Add("LPOP Confirmation").SetContent(() =>
        {
            Html.RenderAction("HeaderTabLPOPConfirmation", "LPOPConfirmation");
        });
                 
}).GetHtml()   

    
    
@* DETAIL POPUP DETAIL ON LPOP CONFIRMATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConfirmationDetail";
        settings.HeaderText = "Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConfirmation", Action = "PopupLPOPConfirmationDetail" };
        settings.ClientSideEvents.Shown = "OnShowPopupConfirmationDetail";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConfirmationDetailBeginCallback";
        settings.Width = Unit.Percentage(95);
        //settings.Height = Unit.Pixel(400);
        //settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConfirmationDetail", "LPOPConfirmation");
        });
    }).GetHtml()

@* DETAIL POPUP ABNORMALITY ON LPOP CONFIRMATION *@
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "PopupLPOPConfirmationAbnormality";
        settings.HeaderText = "Production Month : ";
        settings.CallbackRouteValues = new { Controller = "LPOPConfirmation", Action = "PopupLPOPConfirmationAbnormality" };
        settings.ClientSideEvents.Shown = "OnShowPopupAbnormality";
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConfirmationDetailBeginCallback";
        settings.Width = Unit.Percentage(100);
        settings.Height = Unit.Pixel(400);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.SetContent(() =>
        {
            Html.RenderAction("PopupLPOPConfirmationAbnormality", "LPOPConfirmation");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupLPOPConfirmationUploadConfirmation";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowShadow = true;
        settings.CloseAction = CloseAction.None;
        //settings.ClientSideEvents.Closing = "RefreshAllTab";
        settings.SetContent(() =>
        {
            Html.RenderPartial("HeaderTabLPOPConfirmationUploadConfirmationPartial");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupLPOPConfirmationUploadProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("HeaderTabLPOPConfirmationUploadProgressPartial");
        });
    }).GetHtml()

@Html.DevExpress().PopupControl(settings => {
    settings.Name = "popupDownload";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.None;
    settings.ShowHeader = false;
    settings.SetContent(() => {
        Html.RenderPartial("PopupDownloadConfirmation");
    });
}).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupResult";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("LPOPPopupResult");
        });
    }).GetHtml()